<template>
  <div
    data-component-group="lists"
    data-component="tags"
  >
    <v-list
      two-line
      class="tags-list"
    >
      <template v-for="(tag, index) in tags">
        <v-list-tile
          :key="index"
          :class="getLabelClass(tag)"
        >
          <v-list-tile-content>
            {{ tag.name }}
          </v-list-tile-content>
        </v-list-tile>
      </template>
    </v-list>
  </div>
</template>

<script>
  export default {
    props: {
      tags: {
        type: Array,
        required: true
      }
    },
    methods: {
      getLabelClass(tag) {
        return {
          'tag-item': true,
          'color-label': true,
          [`color-${tag.color.name.toLowerCase()}`]: true
        };
      }
    }
  };
</script>

<style lang="stylus">
  @import '../../assets/stylus/theme.styl';

  [data-component-group="lists"] {
    &[data-component="tags"] {
      .tags-list {
        padding: 0;
        background-color: transparent;
      }

      .tag-item {
        display: inline-block;
        border-radius: 20px;
        padding: 2px 10px;
        margin: 0 4px 4px 0;

        &:last-child {
          border: none;
        }

        .v-list__tile {
          width: auto;
          height: auto;
          padding: 0;
        }
      }

      .v-list__tile__content {
        height: auto;
        font-size: 12px;
        padding: 0;
      }
    }
  }
</style>
